OpenNMS API 1.2.9

## org.opennms.netmgt.utils
Class IpValidator

    java.lang.Object
      org.opennms.netmgt.utils.IpValidator

public class IpValidator
extends java.lang.Object

A class containing a method to determine if a string represents a vaild IP address

Constructor Summary
`IpValidator()`

Method Summary
`static boolean` `isIpValid(java.lang.String ipAddr)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IpValidator

    public IpValidator()

Method Detail

### isIpValid

    public static boolean isIpValid(java.lang.String ipAddr)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.